package com.iamberry.wechat.core.entity.apparatus;

import com.iamberry.wechat.core.entity.PageBean;

import java.util.Date;

/**
 * 机器实体类
 * Created by liuzhiwei on 2017/12/28.
 */
public class Apparatus implements java.io.Serializable{

    private static final long serialVersionUID = -6012485654579010515L;

    private Integer apparatusId;        //id
    private String apparatusBarcode;    //机器条码
    private String userOpenid;          //用户openid
    private Integer apparatusStore;     //渠道参数    1：天猫 2：淘宝 3：京东 4：微信5：其他 6: 一条 7：小红书
    private Integer apparatusStatus;    //状态
    private Date apparatusBuyDate;      //购买时间
    private Date apparatusWarrantyDate; //保修截止日期
    private Date apparatusCreateTime;   //创建时间
    private String productImg;          //产品介绍图
    private String productName;         //产品名称

    private Integer colorId;    //颜色id

    private String userNickname;    //昵称
    private String userTel;    //电话

    private PageBean page;			//分页

    public Integer getApparatusStore() {
        return apparatusStore;
    }

    public void setApparatusStore(Integer apparatusStore) {
        this.apparatusStore = apparatusStore;
    }

    public Date getApparatusBuyDate() {
        return apparatusBuyDate;
    }

    public void setApparatusBuyDate(Date apparatusBuyDate) {
        this.apparatusBuyDate = apparatusBuyDate;
    }

    public Date getApparatusWarrantyDate() {
        return apparatusWarrantyDate;
    }

    public void setApparatusWarrantyDate(Date apparatusWarrantyDate) {
        this.apparatusWarrantyDate = apparatusWarrantyDate;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getApparatusId() {
        return apparatusId;
    }

    public void setApparatusId(Integer apparatusId) {
        this.apparatusId = apparatusId;
    }

    public String getApparatusBarcode() {
        return apparatusBarcode;
    }

    public void setApparatusBarcode(String apparatusBarcode) {
        this.apparatusBarcode = apparatusBarcode;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid;
    }

    public Integer getApparatusStatus() {
        return apparatusStatus;
    }

    public void setApparatusStatus(Integer apparatusStatus) {
        this.apparatusStatus = apparatusStatus;
    }

    public Date getApparatusCreateTime() {
        return apparatusCreateTime;
    }

    public void setApparatusCreateTime(Date apparatusCreateTime) {
        this.apparatusCreateTime = apparatusCreateTime;
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public String getProductImg() {
        return productImg;
    }

    public void setProductImg(String productImg) {
        this.productImg = productImg;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getUserNickname() {
        return userNickname;
    }

    public void setUserNickname(String userNickname) {
        this.userNickname = userNickname;
    }

    public String getUserTel() {
        return userTel;
    }

    public void setUserTel(String userTel) {
        this.userTel = userTel;
    }
}
