package com.iamberry.wechat.face.channel;

import com.iamberry.wechat.core.entity.channel.MainChannel;
import com.iamberry.wechat.core.entity.page.PageRequest;
import com.iamberry.wechat.core.entity.page.PagedResult;

import java.util.List;

/**
 *  主渠道基本信息接口
 * @author xm
 * @Date 2018-07-23
 */
public interface MainChannelService {
    /**
     * 获取集合
     * @param
     * @return List
     */
    PagedResult<MainChannel> getMainChannelList(PageRequest<MainChannel> pageRequest);
    /**
     * 查询单条数据
     * @param  id
     * @return  mainChannel
     */
    MainChannel  getMainChannelById(Integer  id);
    /**
     * 增加数据
     * @param  mainChannel
     * @return Integer
     */
    Integer  save(MainChannel  mainChannel);
    /**
     * 修改数据
     * @param  mainChannel
     * @return Integer
     */
    Integer  update(MainChannel  mainChannel);
}