package com.iamberry.wechat.face.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedColor;

import java.util.List;

/**
 *  牙刷定制-颜色表接口
 * @author w
 * @Date 2018-05-25
 */
public interface CustomizedColorService {
    /**
     * 获取集合
     * @param  customizedColor
     * @return List
     */
    List<CustomizedColor> getCustomizedColorList(CustomizedColor  customizedColor);
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedColor
     */
    CustomizedColor  getCustomizedColorById(Integer  id);
    /**
     * 增加数据
     * @param  customizedColor
     * @return Integer
     */
    Integer  save(CustomizedColor  customizedColor);
    /**
     * 修改数据
     * @param  customizedColor
     * @return Integer
     */
    Integer  update(CustomizedColor  customizedColor);
}