package com.iamberry.wechat.face.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedExternalUrl;

import java.util.List;

/**
 *  牙刷定制外部订单url表接口
 * @author w
 * @Date 2018-05-30
 */
public interface CustomizedExternalUrlService {
    /**
     * 获取集合
     * @param  customizedExternalUrl
     * @return List
     */
    List<CustomizedExternalUrl> getCustomizedExternalUrlList(CustomizedExternalUrl  customizedExternalUrl);
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedExternalUrl
     */
    CustomizedExternalUrl  getCustomizedExternalUrlById(Integer  id);
    /**
     * 增加数据
     * @param  customizedExternalUrl
     * @return Integer
     */
    Integer  save(CustomizedExternalUrl  customizedExternalUrl);
    /**
     * 修改数据
     * @param  customizedExternalUrl
     * @return Integer
     */
    Integer  update(CustomizedExternalUrl  customizedExternalUrl);
}