package com.iamberry.wechat.service.gift;

import com.iamberry.wechat.core.entity.gift.SettlementGift;
import com.iamberry.wechat.face.gift.SettlementGiftService;
import com.iamberry.wechat.service.mapper.SettlementGiftMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  结算赠品接口
 * @author xm
 * @Date 2019-05-30
 */
@Service
public class SettlementGiftServiceImpl  implements SettlementGiftService {
    @Autowired
    private SettlementGiftMapper settlementGiftMapper;
    /**
     * 获取集合
     * @param  settlementGift
     * @return List
     */
    @Override
    public List<SettlementGift> getSettlementGiftList(SettlementGift  settlementGift){
        return  settlementGiftMapper.getSettlementGiftList(settlementGift);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  settlementGift
     */
    @Override
    public  SettlementGift  getSettlementGiftById(Integer  id){
        return  settlementGiftMapper.getSettlementGiftById(id);
    }
}