package com.iamberry.wechat.face.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductConvert;

import java.util.List;

/**
 *  接口
 * @author ys
 * @Date 2018-04-28
 */
public interface IntegralProductConvertService {
    /**
     * 获取集合
     * @param  integralProductConvert
     * @return List
     */
    List<IntegralProductConvert> getIntegralProductConvertList(IntegralProductConvert  integralProductConvert);

    /**
     * 查询单条数据
     * @param  integralProductId
     * @return  integralProductConvert
     */
    IntegralProductConvert getIntegralProductConvertByProductId(Integer  integralProductId);

    /**
     * 增加数据
     * @param  integralProductConvert
     * @return Integer
     */
    Integer  save(IntegralProductConvert  integralProductConvert);
    /**
     * 修改数据
     * @param  integralProductConvert
     * @return Integer
     */
    Integer  update(IntegralProductConvert  integralProductConvert);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}