package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.activity.Festival;

import java.util.List;

/**
 *  年货节-分享活动接口
 * @author Administrator
 * @Date 2020-01-02
 */
public interface FestivalMapper {
    /**
     * 获取集合
     * @param  festival
     * @return List
     */
    List<Festival> getFestivalList(Festival  festival);
    /**
     * 查询单条数据
     * @param  id
     * @return  festival
     */
    Festival  getFestivalById(Integer  id);
    /**
     * 增加数据
     * @param  festival
     * @return Integer
     */
    Integer  save(Festival  festival);
    /**
     * 修改数据
     * @param  festival
     * @return Integer
     */
    Integer  update(Festival  festival);
}